package com.dcs.hnyz.service;

import java.util.List;
import java.util.Map;

import com.dcs.hnyz.domain.AlarmConfig;

/**
 * 告警配置管理Service接口
 * 
 * @author hmy
 * @date 2025-05-22
 */
public interface IAlarmConfigService 
{
    /**
     * 查询告警配置管理
     * 
     * @param configId 告警配置管理主键
     * @return 告警配置管理
     */
    public AlarmConfig selectAlarmConfigByConfigId(Long configId);

    /**
     * 查询告警配置管理列表
     * 
     * @param alarmConfig 告警配置管理
     * @return 告警配置管理集合
     */
    public List<AlarmConfig> selectAlarmConfigList(AlarmConfig alarmConfig);

    /**
     * 新增告警配置管理
     * 
     * @param alarmConfig 告警配置管理
     * @return 结果
     */
    public int insertAlarmConfig(AlarmConfig alarmConfig);

    /**
     * 修改告警配置管理
     * 
     * @param alarmConfig 告警配置管理
     * @return 结果
     */
    public int updateAlarmConfig(AlarmConfig alarmConfig);

    /**
     * 批量删除告警配置管理
     * 
     * @param configIds 需要删除的告警配置管理主键集合
     * @return 结果
     */
    public int deleteAlarmConfigByConfigIds(Long[] configIds);

    /**
     * 删除告警配置管理信息
     * 
     * @param configId 告警配置管理主键
     * @return 结果
     */
    public int deleteAlarmConfigByConfigId(Long configId);

    /**
     * 获取告警配置
     */
    void reload(); // 启动或手动刷新

    /**
     * 根据registerCode获取相应告警配置
     * @param code
     * @return
     */
    List<AlarmConfig> getConfigsByCode(String code);
}
